CVE-2006-1752
CVSS2.6
发布时间 :2006-04-12 18:02:00
修订时间 :2011-03-07 21:33:49
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in the backend in MvBlog before 1.6 allow remote attackers to inject arbitrary web script or HTML via the (1) name or (2) body fields in a comment.


[CNNVD]MvBlog脚本插入及SQL注入漏洞(CNNVD-200604-191)

        MvBlog是一款简单的开放源码blog引擎。
        MvBlog在标注张贴代码时存在跨站脚本漏洞,攻击者可能在客户机上执行恶意脚本代码。
        用包含有HTML或JavaScript代码的标题或正文创建消息时,代码不会做任何改动便存储在数据库中并出现在标注中,导致在页面环境中执行这些代码。攻击者可以利用这个漏洞向标注中注入恶意的HTML或JavaScript代码并在用户浏览器中执行。
        此外,MvBlog中还存在多个SQL注入漏洞。在创建并执行SQL查询之前,没有正确的验证和转义从客户端收集的数据,导致恶意用户可以向查询中注入各种SQL代码。

- CVSS (基础分值)

CVSS分值: 2.6 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:michiel_van_baak:mvblog:1.2
cpe:/a:michiel_van_baak:mvblog:1.0
cpe:/a:michiel_van_baak:mvblog:1.3
cpe:/a:michiel_van_baak:mvblog:1.5
cpe:/a:michiel_van_baak:mvblog:1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1752
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1752
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-191
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/19634
(VENDOR_ADVISORY)  SECUNIA  19634
http://www.vupen.com/english/advisories/2006/1330
(UNKNOWN)  VUPEN  ADV-2006-1330
http://www.securityfocus.com/bid/17481
(UNKNOWN)  BID  17481
http://dev.mvblog.org/cgi-bin/trac.cgi/ticket/55
(UNKNOWN)  CONFIRM  http://dev.mvblog.org/cgi-bin/trac.cgi/ticket/55
http://xforce.iss.net/xforce/xfdb/25767
(UNKNOWN)  XF  mvblog-comment-xss(25767)

- 漏洞信息

MvBlog脚本插入及SQL注入漏洞
低危 跨站脚本
2006-04-12 00:00:00 2006-04-14 00:00:00
远程  
        MvBlog是一款简单的开放源码blog引擎。
        MvBlog在标注张贴代码时存在跨站脚本漏洞,攻击者可能在客户机上执行恶意脚本代码。
        用包含有HTML或JavaScript代码的标题或正文创建消息时,代码不会做任何改动便存储在数据库中并出现在标注中,导致在页面环境中执行这些代码。攻击者可以利用这个漏洞向标注中注入恶意的HTML或JavaScript代码并在用户浏览器中执行。
        此外,MvBlog中还存在多个SQL注入漏洞。在创建并执行SQL查询之前,没有正确的验证和转义从客户端收集的数据,导致恶意用户可以向查询中注入各种SQL代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://sourceforge.net/project/showfiles.php?group_id=148132&package_id=163918&release_id=409151

- 漏洞信息

24570
MvBlog Multiple Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-04-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站